package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlTransferdetail;
import com.dhcc.finance.main.domain.CwGlTransferdetailExample;
import com.dhcc.finance.main.model.CwGlTransferdetailAndSubName;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwGlTransferdetailMapper {

	long countByExample(CwGlTransferdetailExample example);

	int deleteByExample(CwGlTransferdetailExample example);

	int deleteByPrimaryKey(String pkTransferdetail);

	int insert(CwGlTransferdetail record);

	int insertSelective(CwGlTransferdetail record);

	List<CwGlTransferdetail> selectByExample(CwGlTransferdetailExample example);

	CwGlTransferdetail selectByPrimaryKey(String pkTransferdetail);

	int updateByExampleSelective(@Param("record") CwGlTransferdetail record,
			@Param("example") CwGlTransferdetailExample example);

	int updateByExample(@Param("record") CwGlTransferdetail record,
			@Param("example") CwGlTransferdetailExample example);

	int updateByPrimaryKeySelective(CwGlTransferdetail record);

	int updateByPrimaryKey(CwGlTransferdetail record);

	/**
	 * @param pkTransfer
	 * @return List<CwGlTransferdetail>
	 *@author huangpeng
	 *@date 2019年4月22日 下午8:11:23
	 *@修改日志：
	 */
	List<CwGlTransferdetailAndSubName> selectCwGlTransferdetail(@Param("pkTransfer") String pkTransfer);
	/**
	 * 功能描述  查询详情的数量
	 *@param pkTransfer
	 *@return Long
	 *@author huangpeng
	 *@date 2019年8月24日 下午2:05:06
	 *修改日志:
	 */
	Long searchCountDetail(@Param("pkTransfer") String pkTransfer);
	/**
	 * 功能描述  批量删除
	 *@param pkDetailList
	 *@return int
	 *@author huangpeng
	 *@date 2019年8月24日 下午2:56:20
	 *修改日志:
	 */
	int updateUseStateForBatch(@Param("list")List<String> pkDetailList);
}